> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get action statuses



## OpenAPI

````yaml get /v1/actions/statuses
openapi: 3.0.0
info:
  title: Actions APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/actions
  - url: https://staging.api.eu.aptlydone.com/actions
  - url: https://api.us.aptlydone.com/actions
  - url: https://api.eu.aptlydone.com/actions
security: []
tags: []
paths:
  /v1/actions/statuses:
    get:
      tags:
        - actions
      summary: Get action statuses
      operationId: ActionController_getActionStatuses_v1
      parameters:
        - name: isEnabled
          required: false
          in: query
          description: Status type.
          schema:
            example: true
            type: boolean
      responses:
        '200':
          description: Action statuses retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionStatusResponseDtoArrayResponse'
      security:
        - accessToken: []
components:
  schemas:
    ActionStatusResponseDtoArrayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:27:47.328Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/ActionStatusResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    ActionStatusResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 0991e896-9be4-48c2-a188-cbf27956b6e2
          description: Unique identifier for the action status
        actionStatusName:
          type: string
          example: In Progress
          description: Name of the action status
        isEnabled:
          type: boolean
          example: true
          description: Whether this status is enabled
      required:
        - id
        - actionStatusName
        - isEnabled
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````